From a4e23d0e16d33e67acb963633f54a80bf1b9f9c7 Mon Sep 17 00:00:00 2001
From: Timmie Smith <timmie.smith@gmail.com>
Date: Sun, 26 May 2013 12:33:58 -0500
Subject: [PATCH] adding code to enable merging groups across class hierarchy.

---
 src/util.cpp | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/src/util.cpp b/src/util.cpp
index 0d70d43..35369c3 100644
--- a/src/util.cpp
+++ b/src/util.cpp
@@ -5759,6 +5759,24 @@ void addMembersToMemberGroup(MemberList *ml,
           (*ppMemberGroupSDict)->setAutoDelete(TRUE);
         }
         MemberGroup *mg = (*ppMemberGroupSDict)->find(groupId);
+
+        uint ngrps = (*ppMemberGroupSDict)->count();
+        const char * ghs = info->header;
+        int          gid = groupId;
+        for (uint i=0; i != ngrps; ++i)
+        {
+          MemberGroup *tg = (*ppMemberGroupSDict)->at(i);
+          MemberListIterator oli(*(tg->members()));
+          MemberDef *omd = oli.current();
+          const char * ohs = Doxygen::memGrpInfoDict[omd->getMemberGroupId()]->header;
+          int          oid = tg->groupId();
+          if ( ghs && ohs && strcmp(ghs, ohs) == 0)
+          {
+            mg = tg;
+            break;
+          }
+        }
+
         if (mg==0)
         {
           mg = new MemberGroup(
-- 
1.7.11.7

